Config Tools not working for MCUXpresso IDE

cancel
Showing results for 
Search instead for 
Did you mean: 

Config Tools not working for MCUXpresso IDE

Jump to solution
271 Views
david_mclaurin
Contributor I

Hello,

I recently got a hold of an LPCXpresso804 dev board and have started a project built off of the SDK for this kit.

Project is generated properly and everything seems to be working as expected except for the Config Tools plugin. Whenever I try to access the tools to check my peripheral layout I get the following error:

pastedImage_1.png

Note: The package I am using is the LPC804M101JDH24

Now I thought this might be due to some error with the SDK that I had downloaded. So when I went back to the SDK dashboard and searched for the same kit, I reviewed the default clocks/pin setups and both indicated the -JDH24  package(TSSOP-24) was being used. I then re-downloaded and replaced the SDK that I had previously imported, and built a new project; yet I am still seeing this same error come up when I try to access "Config Tools"

Any thoughts?

-David

Labels (1)
1 Solution
91 Views
liborukropec
NXP Employee
NXP Employee

Hello David,

at this moment I'm not able to say where exactly is the problem (will forward to the team), but for now the workaround should be by opening the "board\clock_config.c" file and in the YAML code (lines around 40-50) there is line with "package_id".

Please change this line to the correct package like this:

package_id: LPC804M101JDH24‍‍

If you did not do any changes in the configuration, delete the <projectname>.mex file inside the root of the eclipse project.

After that open the tools again.

Regards,

Libor

View solution in original post

3 Replies
92 Views
liborukropec
NXP Employee
NXP Employee

Hello David,

at this moment I'm not able to say where exactly is the problem (will forward to the team), but for now the workaround should be by opening the "board\clock_config.c" file and in the YAML code (lines around 40-50) there is line with "package_id".

Please change this line to the correct package like this:

package_id: LPC804M101JDH24‍‍

If you did not do any changes in the configuration, delete the <projectname>.mex file inside the root of the eclipse project.

After that open the tools again.

Regards,

Libor

View solution in original post

91 Views
david_mclaurin
Contributor I

Yep, that did it! I'm curious as to how that other ID got there in the first place, but I'm happy with this fix!
Thank you so much for the help!

-David

0 Kudos
91 Views
liborukropec
NXP Employee
NXP Employee

Hello David,

just for your info - the SDK package has a problem in a template for the clean board project. In the next SDK release it will be fixed.

Regards,

Libor

0 Kudos